Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4640 - pump-0.7.0-1 appears to hang after configuring network interface
Summary: pump-0.7.0-1 appears to hang after configuring network interface
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-21 12:16 UTC by Jim Simmons
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 21:35:53 UTC


Attachments (Terms of Use)

Description Jim Simmons 1999-08-21 12:16:21 UTC
When using a 3com IDSN LAN modem (with latest firmware), the
system hangs during boot when trying to configure eth0.
After disabling the startup on boot, I manually started it
with syslog set to log debug messages.  The pump command
never appears to exit or go into the background, and a "pump
-i eth0 --status" just hangs without doing anything.
However, I can get onto the net with it.

Here's the syslog output if it will help:

Aug 21 07:59:20 gatep5 pumpd[751]: starting at Sat Aug 21
07:59:20 1999
Aug 21 07:59:20 gatep5 pumpd[751]: PUMP: sending discover
Aug 21 07:59:20 gatep5 pumpd[751]: breq: opcode: 1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hw: 1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hwlength: 6
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hopcount: 0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: id: 0x70bbf5d5
Aug 21 07:59:20 gatep5 pumpd[751]: breq: secs: 0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: flags: 0x   0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: ciaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: yiaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: server_ip: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: bootp_gw_ip:
0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hwaddr:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: servername:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: bootfile:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: 0x63 0x53
0x82 0x63
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  53   1 0x
1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: opcode: 2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hw: 1
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hwlength: 6
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hopcount: 0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: id: 0x70bbf5d5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: secs: 0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: flags: 0x   0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: ciaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: yiaddr:
192.168.1.2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: server_ip: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: bootp_gw_ip:
0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hwaddr:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: servername:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: bootfile:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0x63 0x53
0x82 0x63
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  53   1 0x
2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  51   4 0x
0 0x 1 0x51 0x8
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  54   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: got dhcp offer
Aug 21 07:59:20 gatep5 pumpd[751]: PUMP: sending second
discover
Aug 21 07:59:20 gatep5 pumpd[751]: breq: opcode: 1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hw: 1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hwlength: 6
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hopcount: 0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: id: 0x70bbf5d5
Aug 21 07:59:20 gatep5 pumpd[751]: breq: secs: 0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: flags: 0x   0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: ciaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: yiaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: server_ip: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: bootp_gw_ip:
0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hwaddr:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: servername:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: bootfile:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: 0x63 0x53
0x82 0x63
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  57   2 0x
2 0x24
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  55   6 0x
1 0x 3 0x 6 0x
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: ++++++ 0x1c
0x c
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  51   4 0x
0 0x 0 0x54 0x6
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  53   1 0x
1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: opcode: 2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hw: 1
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hwlength: 6
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hopcount: 0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: id: 0x70bbf5d5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: secs: 0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: flags: 0x   0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: ciaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: yiaddr:
192.168.1.2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: server_ip: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: bootp_gw_ip:
0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hwaddr:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: servername:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: bootfile:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0x63 0x53
0x82 0x63
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  53   1 0x
2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   1   4
0xff 0xff 0xff 0xe
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   3   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   6   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  51   4 0x
0 0x 1 0x51 0x8
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  54   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: PUMP: got an offer
Aug 21 07:59:20 gatep5 pumpd[751]: breq: opcode: 1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hw: 1
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hwlength: 6
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hopcount: 0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: id: 0x70bbf5d5
Aug 21 07:59:20 gatep5 pumpd[751]: breq: secs: 0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: flags: 0x   0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: ciaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: yiaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: server_ip: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: bootp_gw_ip:
0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: breq: hwaddr:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: servername:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: bootfile:
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: 0x63 0x53
0x82 0x63
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  57   2 0x
2 0x24
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  55   6 0x
1 0x 3 0x 6 0x
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: ++++++ 0x1c
0x c
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  51   4 0x
0 0x 0 0x54 0x6
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  53   1 0x
3
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  54   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor:  50   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: breq: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: opcode: 2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hw: 1
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hwlength: 6
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hopcount: 0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: id: 0x70bbf5d5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: secs: 0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: flags: 0x   0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: ciaddr: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: yiaddr:
192.168.1.2
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: server_ip: 0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: bootp_gw_ip:
0.0.0.0
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: hwaddr:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: servername:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: bootfile:
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0x63 0x53
0x82 0x63
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  53   1 0x
5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   1   4
0xff 0xff 0xff 0xe
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   3   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   6   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  51   4 0x
0 0x 1 0x51 0x8
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  54   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  58   4 0x
0 0x 0 0xa8 0xc
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  59   4 0x
0 0x 1 0x27 0x5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: PUMP: got lease
Aug 21 07:59:20 gatep5 pumpd[751]: intf: device: eth0
Aug 21 07:59:20 gatep5 pumpd[751]: intf: set: 160
Aug 21 07:59:20 gatep5 pumpd[751]: intf: bootServer:
192.168.1.1
Aug 21 07:59:20 gatep5 pumpd[751]: intf: reqLease: 21600
Aug 21 07:59:20 gatep5 pumpd[751]: intf: bootFile: (null)
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  53   1 0x
5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   1   4
0xff 0xff 0xff 0xe
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   3   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:   6   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  51   4 0x
0 0x 1 0x51 0x8
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  54   4
0xc0 0xa8 0x 1 0x
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  58   4 0x
0 0x 0 0xa8 0xc
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor:  59   4 0x
0 0x 1 0x27 0x5
Aug 21 07:59:20 gatep5 pumpd[751]: bresp: vendor: 0xff
Aug 21 07:59:20 gatep5 pumpd[751]: PUMP: got lease
Aug 21 07:59:20 gatep5 pumpd[751]: intf: device: eth0
Aug 21 07:59:20 gatep5 pumpd[751]: intf: set: 160
Aug 21 07:59:20 gatep5 pumpd[751]: intf: bootServer:
192.168.1.1
Aug 21 07:59:20 gatep5 pumpd[751]: intf: reqLease: 21600
Aug 21 07:59:20 gatep5 pumpd[751]: intf: bootFile: (null)
Aug 21 07:59:20 gatep5 pumpd[751]: intf: ip: 192.168.1.2
Aug 21 07:59:20 gatep5 pumpd[751]: intf: netmask:
255.255.255.224
Aug 21 07:59:20 gatep5 pumpd[751]: intf: gateway:
192.168.1.1
Aug 21 07:59:20 gatep5 pumpd[751]: intf: dnsServers[0]:
192.168.1.1
Aug 21 07:59:20 gatep5 pumpd[751]: intf: numDns: 1
Aug 21 07:59:20 gatep5 pumpd[751]: intf: broadcast:
192.168.1.31
Aug 21 07:59:20 gatep5 pumpd[751]: intf: network:
192.168.1.0
Aug 21 07:59:20 gatep5 pumpd[751]: configured interface eth0

Comment 1 Erik Troan 2000-02-15 21:35:59 UTC
should be fixed in pump contained in piglet beta

please reopen if this continues


Note You need to log in before you can comment on or make changes to this bug.